unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Memo1: TMemo;
    CheckBox1: TCheckBox;
    Button1: TButton;
    Button2: TButton;
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
uses aiousb;

procedure TForm1.Timer1Timer(Sender: TObject);
  var
    L, Status:Longword;
    buf:array[0..255] of word;
begin
  L := 32;
  if CheckBox1.Checked then
    Status := GenericVendorRead(diOnly, $1E, $0001, 0, L, @buf[0])  // read and reset counters
  else
    Status := GenericVendorRead(diOnly, $1E, $0000, 0, L, @buf[0])  // read and no reset countres
  ;
  memo1.lines.add(Format('bit 0 LOW pulse duration:%.4x HI:%.4x latest %.4x ---- bit 1 LOW %.4x HI:%.4x  latest:%.4x', [buf[1], buf[2], buf[3], buf[4], buf[5], buf[6]]));
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  GenericVendorWrite(diOnly, $3C, $Fb4f, $8001, 0, nil);
  GenericVendorWrite(diOnly, $1E, 1, 0, 0, nil); // enable Counting with ValueLSB==1, disable with anything else in ValueLSB
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  GenericVendorWrite(diOnly, $1E, 0, 0, 0, nil); // disable Counting
end;

end.
